state.h File Reference
`#include <iosfwd>`
Include dependency graph for state.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | com
namespace | com::lomiri
namespace | com::lomiri::location
namespace | com::lomiri::location::service

## Enumerations

enum class | com::lomiri::location::service::State { com::lomiri::location::service::disabled , com::lomiri::location::service::enabled , com::lomiri::location::service::active }
| State enumerates the known states of the service. More...

## Functions

bool | com::lomiri::location::service::operator== (State lhs, State rhs)
| operator== returns true if lhs == rhs.
bool | com::lomiri::location::service::operator!= (State lhs, State rhs)
| operator != returns true if !(lhs == rhs).
std::ostream & | com::lomiri::location::service::operator<< (std::ostream &out, State state)
| operator<< inserts state into the out.
std::istream & | com::lomiri::location::service::operator>> (std::istream &in, State &state)
| operator>> extracts state from in.